
#include "r_device.h"
#include <stdio.h> 
#include "main.h"
#include "init.h"
#include "RTE_WDT.h"
#include "../RIIC/RIIC.h"
#include "../GPIO/TFT_LCD.h"
#include "../touch_screen/BSP/BSP.h"
#include "../touch_screen/TimeStamp/TimeStamp.h"
#include "../touch_screen/fx12_test/fx12_test.h"
#include "../GPIO/GPIO.h"

STimeStampInfo PR_Light_time;               //程序运行指示灯

int main(void)
{
    uint8_t i=0;
    /*初始化*/
    Sys_Startup_Init();
    
    uart1_printf(" FX12 ver test Run Start!");
    //Display_Sch();

    /*运行指示灯时间开始*/
    TimeStamp_Reset(&PR_Light_time);

    while ( 1U )
    {
        TFT_LCD_Display_Update_Service( );//屏幕显示
        fx12_test_server();//用户按键控制服务
        //临时的程序运行指示灯
        TimeStamp_Update(&PR_Light_time);
        if(TimeStamp_GetCntTime(&PR_Light_time) >= 2000)
        {   
            TimeStamp_Reset(&PR_Light_time);
        }
        WDT_Clear( );//清看门狗
    }
}

